## osm2go 0.2-1

=== Makefile ===
#
# OSM2Go
#

APP = osm2go
PREFIX = /usr/local

include version.mk

PKGS = gtk+-2.0 libxml-2.0 libgnomecanvas-2.0 libcurl gthread-2.0

OBJS = main.o map.o gpx.o utm.o potlatch_conf.o osm_api.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o

DEFS = -DPACKAGE=\"$(APP)\" -DVERSION=\"$(VERSION)\" 
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

install:
	install $(APP) $(DESTDIR)$(PREFIX)/bin
#	install -m 644 icons/*.gif $(DESTDIR)$(PREFIX)/share/$(APP)
#	install -m 644 help/gpxview.html $(DESTDIR)$(PREFIX)/share/$(APP)

clean:
	rm -f osm2go *.o *~ \#*\#

dep:
	makedepend -Y *.c

# DO NOT DELETE

diff.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
diff.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
gpx.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
gpx.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
icon.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
icon.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
iconbar.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
iconbar.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
iconbar.o: info.h
info.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
info.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
main.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
main.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
map.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
map.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
map_hl.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
map_hl.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
map_hl.o: info.h
osm_api.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
osm_api.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
osm_api.o: info.h
pos.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
pos.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h
potlatch_conf.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
potlatch_conf.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h
potlatch_conf.o: icon.h info.h
project.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
project.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
project.o: info.h
settings.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
settings.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h
settings.o: icon.h info.h
statusbar.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h
statusbar.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h
statusbar.o: icon.h info.h
utm.o: appdata.h pos.h utm.h gpx.h potlatch_conf.h map.h map_hl.h osm_api.h
utm.o: project.h statusbar.h settings.h diff.h iconbar.h icon.h info.h

=== debian/changelog ===
osm2go (0.2-1) unstable; urgency=low

  * Fixed crash when selecting highlight of a way

 -- Till Harbaum <harbaum@metis>  Tue, 30 Sep 2008 12:53:38 +0200

osm2go (0.2) unstable; urgency=low

  * Node adding
  * Node deletion
  * Various error handling and optimizations

 -- Till Harbaum <harbaum@metis>  Mon, 29 Sep 2008 20:50:59 +0200

osm2go (0.1-2) unstable; urgency=low

  * First trials at node adding
  * Rewritten touchscreen/mouse handling

 -- Till Harbaum <Till@Harbaum.org>  Fri, 26 Sep 2008 13:54:54 +0200

osm2go (0.1-1) unstable; urgency=low

  * Initial release

 -- Till Harbaum <Till@Harbaum.org>  Fri, 01 Aug 2008 12:19:28 +0200

=== debian/control ===
Source: osm2go
Section: user/other
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), libxml2-dev, libcurl3-openssl-dev, libhildon1-dev, libgnomecanvas2-dev, libosso-dev
Standards-Version: 3.7.2

Package: osm2go
Architecture: any
Pre-Depends: maemo-select-menu-location
Depends: ${shlibs:Depends}
Description: Small OpenStreeMap Editor
 Edit openstreetmap.org map data on the road
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0QA/wD/AP+g
 vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAACXZwQWcAAAAaAAAAGgAHsmYvAAAP
 cUlEQVRYw8WYeVRW5dqHr3e/8wAyDwKCDAoik6Ii4ZgeTTM1LS0r03MsLE0t83TK
 Y+nJ75gcU8wpnEsjR0wLtDLBFERicgBUFJkFRXiBF17eYe/vD7B1ln7n+9ZZ61vr
 /P757Wevve/nvta+n/3ce8voVlS3yT7sdmkW/y+SNfXEi+s5cavHB3abYVC3Bxl6
 xrXd/sCz2yuOd7ulJw4HeuLe74m79IkZu00e7nHU+yPXgz8Faz/V7dJ8dMdUw93V
 9fvOT7cX2RPF0RfSuq+r1Ha7/VTPfe09CUUplihs8rKRhR5/Cljeyz7GN+yrQe/0
 fSuuzeL78KjMp7I+9+H5zqKEC794RntGenvHfB/hH+Ef4T/usBdeeKGxKrOV2cps
 6BzeObxzOFS5VblVuTUFFFuKLcWWs+7eo/qsdE0NLCs7dq3oTuPWLeJw+w1xy77X
 /wUQhK6L2B0U/235j5uLE/crZwXVzqvq03ALik4d/PhHd+m9i8FV7g2NleUl2uJ7
 tzaWVIWfjt4W8sHAinj1mOTBZr/8yAdxO0PGy4JqD4sfXEuC0FedTcOegd0Lk95O
 2w2dve6vU8wFaQ7TpNXQfKBN06iDmvdqcusWg9N8lwL9NNCd0Z3T3QZ+tCUqnwP/
 ob4Rga9D/Wv3NtX5wncbvms7GXz4Rqdrx186M2ft7kk/6QkgpY/ynGJxotelMZXG
 43nb673maE+pDoL8SL1r0ymwrg77LGAIWJZ1pVhHgmyOECzuhOJv7z99MQnqNK0X
 K1QQONexIfwMnNjwj68L14HbBN0Y/0C4urRkccELMDR2jHlIKkyc8VyvMZehbH15
 +q0pYCnSbaveAda3OgLtA8Brst4joA4y/U83596F6qSSmOa94DXVs773RXFFypcp
 X6Z8+dYaS4mlxFLypfYRh/DowFprHWP7ItM97x8XHa8sJl560/HvholArPibOBMU
 SXdD67eAYBGmyC6B4CIbrtgG0VmeQQmjQDZLNkf2FRx4sCs2LQQ8CxzyA7+GwsXX
 xLyl8Mc5ywufPwejikeNGX0c3P/s+HePDdC7o/d5p1mg1wlXXdaAs1y3y10B8mjF
 eiEVJr43fceIrZDw05RJ4Z5wP7hJ3eAsrJ8dMztmdsymjwgiiKBIryeAulWuyHY8
 V1GQXp0rXRTcZfvAOiX8bGAlyFYaj5gqQdGhXKR4F8Q00STdAvEFe559Nahft36q
 TwZr8q1V7s9D+aGKF24mweB1Uzf5bAT52w5p4kHQ7jO4cQoMHqqRblngMkEveF0G
 ryi9EPAc6D9U9er1DaDDCy0oxyrzlR9AoLLfs34FMLbPjOpoR/D7yS/fL1WzIWB8
 wPiA8Wt0PQATHgOyFV67UDD/5qmr1ZZlXcess0HUtxxpnwGSSfOWMgNI4RtWg81s
 nW1JBXmZbI9iBdyNzRtr3A5DXot6Kn4Y1BVYd5WcgIfbJV11KVyKrXzzzHC4dP9W
 5k/RUORT1/6LGkriqz67/gco8qmmQAstsS2CXQ4tm5r72QuhbXdbvqwDOl06ys0G
 CEuPlAf5Q+74vKCc12BcxriMcRmT6rrzdy9/DEhuH7gkpjhkz8CJqlT1h0oBVFEl
 cytU0NHa92rvV8G8rqPVvBEsay2Rtp/BWmf90uYP9a634tpeAbLJ5hL4Z8e297oO
 qk3ajxX9wf609AflHagubVtaPwTKPbrEi8VwJ9zY/9JGMPdzCSpXglqhW9uxH1TJ
 6tvCXmh1Mt7r9ADDOIcifRaoJ2vi1VMhLz036rcJDwaEGcIMYQZlJ8tZzvLYFY8B
 BY0fbhzdMWiR30nF8du/1m4GMXGgPdAfVC6qFuWfQfmRar/CC7R5+uPaNrCXSmO6
 5NDZ3L6j10tgfL81wzgeVA81G+VbwF5ge0OcCa2nmrcu9YaqUbfGvZgATbWtrz5Y
 AV1HzFe6loOXt3ZEwFqwT7b9TSoEyV2MEH6A4Bn9/+7kCRYXywDrPchad6YiVymt
 NS436lvv/DLMkG3INmSD8InwifCJ94jfgRSLFCb5tVG/xbo8NTtCKQtgjkqu3AHy
 VQ2yhwOAP9FL8gJWS/2lfiAKduyBIJspbBOCgEqlf50nGA7q1xnOgNNJ2U2fOSD3
 UazUxEPL/HtHrYdBvlTh5tkXujxaPg2PBWuE/OUOM1QfqflDtQsYrPq7Bk/Qe+vH
 yZRQo6882PwmaNy0/dQOcLo5rTlrea1WfkB+QH6gcoEqXZWuSgc88MCjS6l4BNRX
 DBH83h3t5nHT82fno2DpiwUjCGFNTsZUkG/KfaVkMAiJ/rHeBujYbaiVh0DTDmtU
 XTr0nuL5urcSAif3HR4oweUNv+TWvwW9P4+IHyxCwsbo18x5cO182brGDeA4VHhl
 Wig4pap3yLaCdbHuSOsRaNvdvr3tMLDO/p12D/SqdD7pMAUeTGtQNURCyaor9eVx
 uWN763pX974d2qd9VPuo9lFIolk0i+YbdYpHLUpU4pCOsJ/i3OwviS+LM0G+TDgr
 DATWe5a4zgBZageWArCWP9jbfALUxc5ZPgbwO6z5IcQZJsZPnqFZCAWyDLfKUBDe
 NNZU5sGkd+JuRS0D7QLdqAdJoNyjerP5JsgDNWdqy8APh8v+v8LDxAcmowzUV9UN
 DpPAtt2aKu4C8+EOZdsZMA1rCzOFQOOMupSmQbXJ887Mk+admX8p+5vsb7K/qZuC
 iIhYHC886rXqhdoXG+sq9wrjhBXyTLC8YtHYNoE5peOmeQ1Ynq852bAXOhz9Qj2U
 YDeZhK5TYD9m3ySuh4CWYMn3ONwsq5p25RxEdoY9P2gepNuOzc/sB7KZskRZOKi+
 7vTsbIOQqx4bvGugsaZe13QPnHydbQ6roHZo1Yr7b0FdbtX4uy9Ce5/WLaZD0NVh
 brIooM8ef2ffsNfORauj1dFqQ+nJ3id7n+y9tblnN53+qORuFR+6vKU0JTOuc7yp
 rfPSGAxTewmGvSAdl0aIjqD00+xVhYPFXKd7UA8OoxvVxlXQWtExUWqE8nE6q4cP
 iLulets4sKqsh6x3oOnpuxaLEnI8Mp8uzALHZKdQvRNUDLi5rPoe1HxcWX5vFJiX
 d/7V8gEYRzfPNv4ATp87T9IsA+mYFCy9B6U3i/LvbIHnfpziOO0Np7spoSn6lMHF
 35jiTfGm+E3zejh2yR+tIUuF5Yz1hvRxTFXc28M+mKfrKwS1u/mBMEH+puI62FZ7
 2pyvgmxxw42HwVA8oSW36SBcTj9XdiEETp8+0pabAg5z3U769Qe3na5ObqngGuzi
 7ToIKraUBtzbD8XhBRHXZOD0fGVm7Wtgd9AJ2mmgHeu0TT8DGlvu9WkdCXWXq27X
 LoOsLT/Yi54B9xgHd79XINvvotOFEVJykV+xb7HHxKFYsGCpGfpkp1BNOfUFs64m
 F4Rfeb8tq/W99pHCeLCfsDpb/UBA8Rf5TLjx5wa3srlw2Jz82Ya+kPl17vBf3wV9
 gq6ztBgCxvrMdk0CRY4iR5EDv4VeCbpUCG2rusSmwRCY7/NzWBU0yPWJQYVw7Z2C
 DU21cGZb6kv5MqjMLj7TEA/69fay3v7gfcptid9o6Nr8MO2OCt4PeHVAQq5sCbGM
 ZaDvjce77cf2ofZf8o9czCqclD9AMV1hkH0Lxs9bNfJYKL6UMftUJxwo3eC3Sw/N
 QW23ZApQzpTv5AUwB3caTaOhVMip2q+BKy+XGC4UwqIFH1e+EQtJhe8vmG6D6KqE
 2b77QPyrblVbMMjrZHcZCK43H+5u2gOO5bK7HZUg7XAYazTDrDmLGhNehw+T93Wu
 WA0xr/4xb0opuKx2z3JyGGV+HEjx2HiVbrDhVe1FwxjNWfVa+9tcuxN5YfD3JXCo
 KjlnXxoYC01GmQ20CapYKQM0A5XTxArQ+Kl+lnJAfVbY0hIEunfdrcpq8G/3N+sz
 QRhx/afG6xD1/cj0wXcgIXzyp7GuICyRHcUBhFprjK0BpM0KF/lVsPeRasT3gfEc
 RQv2U/ZtkgqsNbZkMRUslV3R1pz2ECDrfwFyzYlTjRwftSciqizlXGH6TDh0dfPC
 /Z3QEmAyykaD9qnfQZ4XK0AT2Q2i0SqTpTQQt0n/YAL45gYN98oAhU4qlDaCaqQU
 IdlA5aOKV0WAapV6gGw9COnCZYLAHCFG2D8Au6NtkU0Juu2GHbpgkCELllX1pLcS
 ikbkfVfigak9pvWCKTQzEgD7/wR0mFP8NW664wjbgLrT6oWplZtKfnWHFvf2AQSC
 Nk41WMoATZTy2R6QH3tAvpDSQCqV1ESB8InP2vjTMDlj7twZ90EaI11lGJjCQzwD
 RoBt55X5lUNBmD9yeUAriN+J5+0zQbgmz5FbQT1X26o5B1KGmCHuBukzyVOKBfTU
 YIbsWb905Re1rcKOHXuB+xMlJwviOgHEjPwqMktdMCmgUHF2Z1YbtAZ2bBQCQROp
 ipROgyZKOV2sAE2MKqsHZKt0HKR8SUYMGHYa+oQmQKJiztJp74Dp+q8Rt3eDLV4s
 FN8A3QLdEmUQeBXortivQNdm+xZ7LUiZ0nQpCKQO6aTUCKJkS7SNBPn7iksKI3BN
 FieLAlppph1yR5w3FW/N/wLIgXbrE0DxU8PvqlZOCPE/7O2iD1q4trm/aZOQxDPa
 Ib+XVjdIvCpXygaNXrlbOgbSDqmcBNB9HpwVPwcSY2fcnroYxGuDOvo5QPv6e2se
 fgVuL3hucOkC5VOqNMX30CXYbfZawCgZJSMI14R2QQTpDVFjbQf5Cg3qKuAZ4vgn
 EOOm5mNt/wWFJZdvlyScO4AXcIQnfuYoHH/QfyrfNcSrXWX+SHhbduifQJ7pKa3z
 PU9kp3QMpHVSIU+BKcBQEdoKwUciZgweKLmverD53aMLa5xz/lZcXX7815jyZ8sW
 V87L9naqca5yeDdg3uCn4prCM0Z/H3/w6c2xDJwZt3Lky9ELNf2DY0Pf9o+Frq+6
 vrWFwJUFBSnFlzFdiswcVLi9bVWOS6ZTYWr+F49ATF5t+zuO7LnNv5DMv9TzsmJN
 oGrs2EFbHIZdPGyPFh1lfl5TNT6qs1IxaLTKdVIaSCekJmIRfxPL02Th511z71x/
 pSX3QIioFmdJa873fAKX99S0fc+/mK9fz8tnLaN5jrg40eWIe6NT0CizZVfXPUtS
 e0j7ytbqDr/MyJ418kXPdvIX/l319fV2VU2JSJoTPz7N5VB98uLh02uc1kjSorzp
 C5y2SNLIEzGlro0nl2iq1DHyuZrP/u0J/lPyPuH6UHUs1Hf49oF2p7A96VGykA29
 utbs1RxXq+XPqvf+p/P7v/TfVs+/lG9FkggAAAAASUVORK5CYII=

## osm2go 0.3-1

=== Makefile ===
#
# OSM2Go
#

APP = osm2go
PREFIX = /usr/local

include version.mk

PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
	gnome-vfs-module-2.0

OBJS = main.o map.o osm.o utm.o potlatch_conf.o osm_api.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o

DEFS = -DPACKAGE=\"$(APP)\" -DVERSION=\"$(VERSION)\" -DUSE_GOOCANVAS
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

install:
	install $(APP) $(DESTDIR)$(PREFIX)/bin
#	install -m 644 icons/*.gif $(DESTDIR)$(PREFIX)/share/$(APP)
#	install -m 644 help/osmview.html $(DESTDIR)$(PREFIX)/share/$(APP)

clean:
	rm -f osm2go *.o *~ \#*\#

dep:
	makedepend -Y *.c

# DO NOT DELETE

diff.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
diff.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
diff.o: info.h track.h gps.h
gps.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
gps.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
gps.o: info.h track.h gps.h
icon.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
icon.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
icon.o: info.h track.h gps.h
iconbar.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
iconbar.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
iconbar.o: iconbar.h icon.h info.h track.h gps.h
info.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
info.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
info.o: info.h track.h gps.h
main.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
main.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
main.o: info.h track.h gps.h
map.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
map.o: info.h track.h gps.h
map_hl.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map_hl.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
map_hl.o: info.h track.h gps.h
osm.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
osm.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
osm.o: info.h track.h gps.h
osm_api.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
osm_api.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
osm_api.o: iconbar.h icon.h info.h track.h gps.h
pos.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
pos.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
pos.o: info.h track.h gps.h
potlatch_conf.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
potlatch_conf.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
potlatch_conf.o: iconbar.h icon.h info.h track.h gps.h
project.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
project.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
project.o: iconbar.h icon.h info.h track.h gps.h
settings.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
settings.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
settings.o: iconbar.h icon.h info.h track.h gps.h
statusbar.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h
statusbar.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
statusbar.o: iconbar.h icon.h info.h track.h gps.h
track.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
track.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
track.o: info.h track.h gps.h
utm.o: appdata.h pos.h utm.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
utm.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
utm.o: info.h track.h gps.h

=== tests/Makefile ===
#
# OSM2Go
#

APP = goocanvas

PKGS = gtk+-2.0 goocanvas

OBJS = goocanvas.o

DEFS = -DPACKAGE=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)


clean:
	rm -f $(APP) *.o *~ \#*\#

dep:
	makedepend -Y *.c

=== debian/changelog ===
osm2go (0.3-1) unstable; urgency=low

  * Track/GPS support
  * Switch from gnomecanvas to goocanvas
	
 -- Till Harbaum <harbaum@metis>  Fri, 10 Oct 2008 10:02:21 +0200

## osm2go 0.3-2

=== Makefile ===
#
# OSM2Go
#

APP = osm2go
PREFIX = /usr/local

include version.mk

PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
	gnome-vfs-module-2.0

OBJS = main.o map.o osm.o potlatch_conf.o osm_api.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o

DEFS = -DPACKAGE=\"$(APP)\" -DVERSION=\"$(VERSION)\" -DUSE_GOOCANVAS
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

install:
	install $(APP) $(DESTDIR)$(PREFIX)/bin
#	install -m 644 icons/*.gif $(DESTDIR)$(PREFIX)/share/$(APP)
#	install -m 644 help/osmview.html $(DESTDIR)$(PREFIX)/share/$(APP)

clean:
	rm -f osm2go *.o *~ \#*\#

dep:
	makedepend -Y *.c

# DO NOT DELETE

canvas_gnomecanvas.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
canvas_gnomecanvas.o: map_hl.h osm_api.h project.h statusbar.h settings.h
canvas_gnomecanvas.o: diff.h iconbar.h icon.h info.h track.h gps.h
canvas_goocanvas.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
canvas_goocanvas.o: map_hl.h osm_api.h project.h statusbar.h settings.h
canvas_goocanvas.o: diff.h iconbar.h icon.h info.h track.h gps.h
diff.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
diff.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
diff.o: info.h track.h gps.h
gps.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
gps.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
gps.o: info.h track.h gps.h
icon.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
icon.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
icon.o: info.h track.h gps.h
iconbar.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
iconbar.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
iconbar.o: info.h track.h gps.h
info.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
info.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
info.o: info.h track.h gps.h
main.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
main.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
main.o: info.h track.h gps.h
map.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
map.o: info.h track.h gps.h
map_hl.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map_hl.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
map_hl.o: info.h track.h gps.h
osm.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
osm.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
osm.o: info.h track.h gps.h
osm_api.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
osm_api.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
osm_api.o: info.h track.h gps.h
pos.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
pos.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
pos.o: info.h track.h gps.h
potlatch_conf.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
potlatch_conf.o: map_hl.h osm_api.h project.h statusbar.h settings.h diff.h
potlatch_conf.o: iconbar.h icon.h info.h track.h gps.h
project.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
project.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
project.o: info.h track.h gps.h
settings.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
settings.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h
settings.o: icon.h info.h track.h gps.h
statusbar.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
statusbar.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h
statusbar.o: icon.h info.h track.h gps.h
track.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
track.o: osm_api.h project.h statusbar.h settings.h diff.h iconbar.h icon.h
track.o: info.h track.h gps.h

=== debian/changelog ===
osm2go (0.3-2) unstable; urgency=low

  * Projection changed from utm to normal mercartor
  * Limited motion event frequency for more fluid dragging on hildon

 -- Till Harbaum <harbaum@metis>  Thu, 16 Oct 2008 13:22:39 +0200

## osm2go 0.3-3

=== Makefile ===
--- 
+++ 
@@ -10,9 +10,9 @@
 PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
 	gnome-vfs-module-2.0
 
-OBJS = main.o map.o osm.o potlatch_conf.o osm_api.o \
+OBJS = main.o map.o osm.o potlatch_conf.o osm_api.o wms.o \
 	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
-	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o
+	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o 
 
 DEFS = -DPACKAGE=\"$(APP)\" -DVERSION=\"$(VERSION)\" -DUSE_GOOCANVAS
 CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`

=== debian/changelog ===
osm2go (0.3-3) unstable; urgency=low

  * Node/relation check now includes ways
  * First tests with WMS server import as background layer

 -- Till Harbaum <harbaum@metis>  Fri, 17 Oct 2008 16:35:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: user/other
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), libxml2-dev, libcurl3-openssl-dev, libhildon1-dev, libgnomecanvas2-dev, libosso-dev
+Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, libgpsmgr-dev, libgpsbt-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev
 Standards-Version: 3.7.2
 
 Package: osm2go
 Architecture: any
 Pre-Depends: maemo-select-menu-location
-Depends: ${shlibs:Depends}
-Description: Small OpenStreeMap Editor
- Edit openstreetmap.org map data on the road
+Depends: ${shlibs:Depends}, libgoocanvas3
+Description: Mobile OpenStreeMap Editor
+ Edit openstreetmap.org map data on the road.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaEAYAAAD52pCNAAAABmJLR0QA/wD/AP+g
  vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAACXZwQWcAAAAaAAAAGgAHsmYvAAAP

## osm2go 0.3-4

=== Makefile ===
#
# OSM2Go
#

APP = osm2go
PREFIX = /usr/local

include version.mk

PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
	gnome-vfs-module-2.0

OBJS = main.o map.o osm.o potlatch_conf.o osm_api.o wms.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o \
	area_edit.o 

DEFS = -DPACKAGE=\"$(APP)\" -DVERSION=\"$(VERSION)\" -DUSE_GOOCANVAS
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

install:
	install $(APP) $(DESTDIR)$(PREFIX)/bin
#	install -m 644 icons/*.gif $(DESTDIR)$(PREFIX)/share/$(APP)
#	install -m 644 help/osmview.html $(DESTDIR)$(PREFIX)/share/$(APP)

clean:
	rm -f osm2go *.o *~ \#*\#

dep:
	makedepend -Y *.c

# DO NOT DELETE

area_edit.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
area_edit.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
area_edit.o: iconbar.h icon.h info.h track.h gps.h wms.h
canvas_gnomecanvas.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
canvas_gnomecanvas.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
canvas_gnomecanvas.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
canvas_gnomecanvas.o: wms.h
canvas_goocanvas.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
canvas_goocanvas.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
canvas_goocanvas.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
canvas_goocanvas.o: wms.h
diff.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
diff.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
diff.o: iconbar.h icon.h info.h track.h gps.h wms.h
gps.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
gps.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
gps.o: iconbar.h icon.h info.h track.h gps.h wms.h
icon.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
icon.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
icon.o: iconbar.h icon.h info.h track.h gps.h wms.h
iconbar.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
iconbar.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
iconbar.o: iconbar.h icon.h info.h track.h gps.h wms.h
info.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
info.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
info.o: iconbar.h icon.h info.h track.h gps.h wms.h
main.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
main.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
main.o: iconbar.h icon.h info.h track.h gps.h wms.h
map.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
map.o: iconbar.h icon.h info.h track.h gps.h wms.h
map_hl.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map_hl.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
map_hl.o: iconbar.h icon.h info.h track.h gps.h wms.h
osm.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
osm.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
osm.o: iconbar.h icon.h info.h track.h gps.h wms.h
osm_api.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
osm_api.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
osm_api.o: iconbar.h icon.h info.h track.h gps.h wms.h
pos.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
pos.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
pos.o: iconbar.h icon.h info.h track.h gps.h wms.h
potlatch_conf.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
potlatch_conf.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
potlatch_conf.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
potlatch_conf.o: wms.h
project.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
project.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
project.o: iconbar.h icon.h info.h track.h gps.h wms.h
settings.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
settings.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
settings.o: iconbar.h icon.h info.h track.h gps.h wms.h
statusbar.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
statusbar.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
statusbar.o: iconbar.h icon.h info.h track.h gps.h wms.h
track.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
track.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
track.o: iconbar.h icon.h info.h track.h gps.h wms.h
wms.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
wms.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
wms.o: iconbar.h icon.h info.h track.h gps.h wms.h

=== debian/changelog ===
osm2go (0.3-4) unstable; urgency=low

  * Added ability to adjust background (wms) offset
  * Gui cleanup using ok/cancel buttons
  * Improved catching of download error conditions
	
 -- Till Harbaum <harbaum@metis>  Sat, 25 Oct 2008 14:44:52 +0200

## osm2go 0.4-1

=== Makefile ===
#
# OSM2Go
#

APP = osm2go
PREFIX = /usr/local

include version.mk

PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
	gnome-vfs-module-2.0

OBJS = main.o map.o osm.o potlatch_conf.o osm_api.o wms.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o \
	area_edit.o josm_presets.o

DEFS = -DPACKAGE=\"$(APP)\" -DVERSION=\"$(VERSION)\" -DUSE_GOOCANVAS
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

install:
	install $(APP) $(DESTDIR)$(PREFIX)/bin
#	install -m 644 icons/*.gif $(DESTDIR)$(PREFIX)/share/$(APP)
#	install -m 644 help/osmview.html $(DESTDIR)$(PREFIX)/share/$(APP)

clean:
	rm -f osm2go *.o *~ \#*\#

dep:
	makedepend -Y *.c

# DO NOT DELETE

area_edit.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
area_edit.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
area_edit.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
canvas_gnomecanvas.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
canvas_gnomecanvas.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
canvas_gnomecanvas.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
canvas_gnomecanvas.o: wms.h josm_presets.h
canvas_goocanvas.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
canvas_goocanvas.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
canvas_goocanvas.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
canvas_goocanvas.o: wms.h josm_presets.h
dbus.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
dbus.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
dbus.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
diff.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
diff.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
diff.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
gps.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
gps.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
gps.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
icon.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
icon.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
icon.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
iconbar.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
iconbar.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
iconbar.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
info.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
info.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
info.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
josm_presets.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
josm_presets.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
josm_presets.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
main.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
main.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
main.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
map.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
map.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
map_hl.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
map_hl.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
map_hl.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
osm.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
osm.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
osm.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
osm_api.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
osm_api.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
osm_api.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
pos.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
pos.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
pos.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
potlatch_conf.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h
potlatch_conf.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h
potlatch_conf.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
potlatch_conf.o: wms.h josm_presets.h
project.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
project.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
project.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
settings.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
settings.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
settings.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
statusbar.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
statusbar.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
statusbar.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
track.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
track.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
track.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
wms.o: appdata.h pos.h osm.h potlatch_conf.h canvas.h map.h map_hl.h
wms.o: osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
wms.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h

=== debian/changelog ===
osm2go (0.4-1) unstable; urgency=low

  * Handle JOSM presets.xml
  * Import all josm preset icons
	
 -- Till Harbaum <harbaum@metis>  Thu, 30 Oct 2008 21:13:03 +0100

osm2go (0.3-5) unstable; urgency=low

  * Project selection/creation/...
  * Various catching of error situations e.g. during download
	
 -- Till Harbaum <harbaum@metis>  Mon, 27 Oct 2008 21:17:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: osm2go
-Section: user/other
+Section: user/navigation
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
 Build-Depends: debhelper (>= 5), libcurl3-openssl-dev, libgoocanvas-dev, libosso-dev, libgpsmgr-dev, libgpsbt-dev, libosso-gnomevfs2-dev, libhildonfm2-dev, mce-dev

## osm2go 0.4-2

=== debian/changelog ===
osm2go (0.4-2) unstable; urgency=low

  * Prevent placement of nodes outside working area
  * Save presets dialog space by using top label/sep as dialog title
  * Fixed problems with custom gtktreeview select function
  * Pre-fill the preset dialogs with previous data where applicable
  * Disable hildon autocap on certain dialogs (e.g. password)
	
 -- Till Harbaum <harbaum@metis>  Sun, 02 Nov 2008 13:35:59 +0100

## osm2go 0.5-1

=== debian/changelog ===
osm2go (0.5-1) unstable; urgency=low

  * First usable way creation/deletion
  * Various bug fixes
	
 -- Till Harbaum <harbaum@metis>  Wed, 05 Nov 2008 22:05:06 +0100

osm2go (0.4-3) unstable; urgency=low

  * First test on way creation
  * Fixed parsing of pre-filled check boxes (accept "true" and "yes")
	
 -- Till Harbaum <harbaum@metis>  Tue, 04 Nov 2008 21:28:45 +0100

## osm2go 0.5-2

=== debian/changelog ===
osm2go (0.5-2) unstable; urgency=low

  * Added node joining (incl. way joining) by drag'n drop
  * Merge selected presets instead of replacing everything
  * Added ability to add nodes to existing ways
  * Initial relation handling (join/delete now affects relations)
  * More hildon autocap disabled
	
 -- Till Harbaum <harbaum@metis>  Sat, 08 Nov 2008 12:28:09 +0100

## osm2go 0.5-3

=== Makefile ===
#
# OSM2Go
#

APP = osm2go
PREFIX = /usr/local

PKGS = gtk+-2.0 libxml-2.0 goocanvas libcurl gthread-2.0 \
	gnome-vfs-module-2.0

OBJS = main.o map.o osm.o potlatch_conf.o osm_api.o wms.o \
	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o \
	area_edit.o josm_presets.o

DEFS = -DPACKAGE=\"$(APP)\" -DUSE_GOOCANVAS
CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
LDFLAGS = `pkg-config --libs $(PKGS)`

all: $(APP)

version.h: debian/changelog
	awk '!/^$$/ { print "#define VERSION \"" $$2 "\"";exit }' debian/changelog | tr -d \(\) > $@

%.o: %.c
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc $(LDFLAGS) -o $@ $(OBJS)

install:
	install $(APP) $(DESTDIR)$(PREFIX)/bin
#	install -m 644 icons/*.gif $(DESTDIR)$(PREFIX)/share/$(APP)
#	install -m 644 help/osmview.html $(DESTDIR)$(PREFIX)/share/$(APP)

clean:
	rm -f osm2go *.o *~ \#*\# version.h *.bak

dep:
	makedepend -Y *.c

# DO NOT DELETE

area_edit.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
area_edit.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
area_edit.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h
area_edit.o: josm_presets.h
canvas_gnomecanvas.o: appdata.h version.h pos.h osm.h potlatch_conf.h
canvas_gnomecanvas.o: canvas.h map.h map_hl.h osm_api.h project.h statusbar.h
canvas_gnomecanvas.o: area_edit.h settings.h diff.h iconbar.h icon.h info.h
canvas_gnomecanvas.o: track.h gps.h wms.h josm_presets.h
canvas_goocanvas.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h
canvas_goocanvas.o: map.h map_hl.h osm_api.h project.h statusbar.h
canvas_goocanvas.o: area_edit.h settings.h diff.h iconbar.h icon.h info.h
canvas_goocanvas.o: track.h gps.h wms.h josm_presets.h
dbus.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
dbus.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
dbus.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
diff.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
diff.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
diff.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
gps.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
gps.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
gps.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
icon.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
icon.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
icon.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
iconbar.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
iconbar.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
iconbar.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
info.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
info.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
info.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
josm_presets.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h
josm_presets.o: map.h map_hl.h osm_api.h project.h statusbar.h area_edit.h
josm_presets.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h wms.h
josm_presets.o: josm_presets.h
main.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
main.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
main.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
map.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
map.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
map.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
map_hl.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
map_hl.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
map_hl.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
osm.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
osm.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
osm.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
osm_api.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
osm_api.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
osm_api.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
pos.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
pos.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
pos.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
potlatch_conf.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h
potlatch_conf.o: map.h map_hl.h osm_api.h project.h statusbar.h area_edit.h
potlatch_conf.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
potlatch_conf.o: wms.h josm_presets.h
project.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
project.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
project.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
settings.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
settings.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
settings.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
statusbar.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
statusbar.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
statusbar.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h
statusbar.o: josm_presets.h
track.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
track.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
track.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
wms.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
wms.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
wms.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h

=== debian/changelog ===
osm2go (0.5-3) unstable; urgency=low

  * hard key bindings
  * way creation end by double click/tap
  * way "rotation" for cut of circular ways

 -- Till Harbaum <harbaum@metis>  Thu, 13 Nov 2008 17:32:41 +0100

## osm2go 0.5-4

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 OBJS = main.o map.o osm.o potlatch_conf.o osm_api.o wms.o \
 	statusbar.o project.o settings.o pos.o diff.o map_hl.o \
 	iconbar.o info.o icon.o track.o gps.o canvas_goocanvas.o \
-	area_edit.o josm_presets.o
+	area_edit.o josm_presets.o relation_edit.o misc.o
 
 DEFS = -DPACKAGE=\"$(APP)\" -DUSE_GOOCANVAS
 CFLAGS = -Wall -O2 $(DEFS) `pkg-config --cflags $(PKGS)`
@@ -44,72 +44,97 @@
 area_edit.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 area_edit.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 area_edit.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h
-area_edit.o: josm_presets.h
+area_edit.o: josm_presets.h relation_edit.h misc.h
 canvas_gnomecanvas.o: appdata.h version.h pos.h osm.h potlatch_conf.h
 canvas_gnomecanvas.o: canvas.h map.h map_hl.h osm_api.h project.h statusbar.h
 canvas_gnomecanvas.o: area_edit.h settings.h diff.h iconbar.h icon.h info.h
-canvas_gnomecanvas.o: track.h gps.h wms.h josm_presets.h
+canvas_gnomecanvas.o: track.h gps.h wms.h josm_presets.h relation_edit.h
+canvas_gnomecanvas.o: misc.h
 canvas_goocanvas.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h
 canvas_goocanvas.o: map.h map_hl.h osm_api.h project.h statusbar.h
 canvas_goocanvas.o: area_edit.h settings.h diff.h iconbar.h icon.h info.h
-canvas_goocanvas.o: track.h gps.h wms.h josm_presets.h
+canvas_goocanvas.o: track.h gps.h wms.h josm_presets.h relation_edit.h misc.h
 dbus.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 dbus.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 dbus.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+dbus.o: relation_edit.h misc.h
 diff.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 diff.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 diff.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+diff.o: relation_edit.h misc.h
 gps.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 gps.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
 gps.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+gps.o: relation_edit.h misc.h
 icon.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 icon.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 icon.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+icon.o: relation_edit.h misc.h
 iconbar.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 iconbar.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 iconbar.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+iconbar.o: relation_edit.h misc.h
 info.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 info.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 info.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+info.o: relation_edit.h misc.h
 josm_presets.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h
 josm_presets.o: map.h map_hl.h osm_api.h project.h statusbar.h area_edit.h
 josm_presets.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h wms.h
-josm_presets.o: josm_presets.h
+josm_presets.o: josm_presets.h relation_edit.h misc.h
 main.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 main.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 main.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+main.o: relation_edit.h misc.h
 map.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 map.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
 map.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+map.o: relation_edit.h misc.h
 map_hl.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 map_hl.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 map_hl.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+map_hl.o: relation_edit.h misc.h
+misc.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
+misc.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
+misc.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+misc.o: relation_edit.h misc.h
 osm.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 osm.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
 osm.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+osm.o: relation_edit.h misc.h
 osm_api.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 osm_api.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 osm_api.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+osm_api.o: relation_edit.h misc.h
 pos.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 pos.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
 pos.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+pos.o: relation_edit.h misc.h
 potlatch_conf.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h
 potlatch_conf.o: map.h map_hl.h osm_api.h project.h statusbar.h area_edit.h
 potlatch_conf.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
-potlatch_conf.o: wms.h josm_presets.h
+potlatch_conf.o: wms.h josm_presets.h relation_edit.h misc.h
 project.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 project.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 project.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+project.o: relation_edit.h misc.h
+relation_edit.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h
+relation_edit.o: map.h map_hl.h osm_api.h project.h statusbar.h area_edit.h
+relation_edit.o: settings.h diff.h iconbar.h icon.h info.h track.h gps.h
+relation_edit.o: wms.h josm_presets.h relation_edit.h misc.h
 settings.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 settings.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 settings.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+settings.o: relation_edit.h misc.h
 statusbar.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 statusbar.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 statusbar.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h
-statusbar.o: josm_presets.h
+statusbar.o: josm_presets.h relation_edit.h misc.h
 track.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 track.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h
 track.o: diff.h iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+track.o: relation_edit.h misc.h
 wms.o: appdata.h version.h pos.h osm.h potlatch_conf.h canvas.h map.h
 wms.o: map_hl.h osm_api.h project.h statusbar.h area_edit.h settings.h diff.h
 wms.o: iconbar.h icon.h info.h track.h gps.h wms.h josm_presets.h
+wms.o: relation_edit.h misc.h

=== debian/changelog ===
osm2go (0.5-4) unstable; urgency=low

  * info dialog highlights tag collisions
  * ability to hide objects to increase graphics performance
  * relation handling
  * save zoom/scroll offset in project
  * "last" tags (like potlatch) and cancel in info dialog
	
 -- Till Harbaum <harbaum@metis>  Fri, 14 Nov 2008 18:35:42 +0100
